Package org.apache.maven.shared.model.fileset

# Class SetBase

java.lang.Object
org.apache.maven.shared.model.fileset.SetBase

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileSet`

public class SetBase extends Object implements Serializable
Class SetBase.

Version:
  $Revision$ $Date$
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SetBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExclude(String string)`
Method addExclude.
`void`
`addInclude(String string)`
Method addInclude.
`String`
`getDirectoryMode()`
Get similar to a UNIX permission.
`List<String>`
`getExcludes()`
Method getExcludes.
`String[]`
`getExcludesArray()`
`String`
`getFileMode()`
Get similar to a UNIX permission.
`List<String>`
`getIncludes()`
Method getIncludes.
`String[]`
`getIncludesArray()`
`Mapper`
`getMapper()`
Get specifies the mapper used.
`String`
`getOutputDirectory()`
Get specifies the output directory relative to the root of the root directory of the assembly.
`boolean`
`isFollowSymlinks()`
Get specifies whether symbolic links should be traversed, or handled as-is.
`boolean`
`isUseDefaultExcludes()`
Get whether to include exclusion patterns for common temporary and SCM control files (true by default).
`void`
`removeExclude(String string)`
Method removeExclude.
`void`
`removeInclude(String string)`
Method removeInclude.
`void`
`setDirectoryMode(String directoryMode)`
Set similar to a UNIX permission.
`void`
`setExcludes(List<String> excludes)`
Set when <exclude> subelements are present, they define a set of files and directory to exclude.
`void`
`setFileMode(String fileMode)`
Set similar to a UNIX permission.
`void`
`setFollowSymlinks(boolean followSymlinks)`
Set specifies whether symbolic links should be traversed, or handled as-is.
`void`
`setIncludes(List<String> includes)`
Set when <include> subelements are present, they define a set of files and directory to include.
`void`
`setMapper(Mapper mapper)`
Set specifies the mapper used.
`void`
`setOutputDirectory(String outputDirectory)`
Set specifies the output directory relative to the root of the root directory of the assembly.
`void`
`setUseDefaultExcludes(boolean useDefaultExcludes)`
Set whether to include exclusion patterns for common temporary and SCM control files (true by default).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetBase

public SetBase()

## Method Details

### addExclude

public void addExclude(String string)
Method addExclude.

Parameters:
  `string` -

### addInclude

public void addInclude(String string)
Method addInclude.

Parameters:
  `string` -

### getDirectoryMode

public String getDirectoryMode()
Get similar to a UNIX permission. Format: (User)(Group)(Other) where each component is a sum of Read = 4, Write = 2, and Execute = 1. For example, the default value of 0755 translates to User read-write, Group and Other read-only. (more on unix-style permissions)

Returns:
  String

### getExcludes

public List<String> getExcludes()
Method getExcludes.

Returns:
  List

### getFileMode

public String getFileMode()
Get similar to a UNIX permission. Format: (User)(Group)(Other) where each component is a sum of Read = 4, Write = 2, and Execute = 1. For example, the default value of 0644 translates to User read-write, Group and Other read-only. (more on unix-style permissions)

Returns:
  String

### getIncludes

public List<String> getIncludes()
Method getIncludes.

Returns:
  List

### getMapper

public Mapper getMapper()
Get specifies the mapper used.

Returns:
  Mapper

### getOutputDirectory

public String getOutputDirectory()
Get specifies the output directory relative to the root of the root directory of the assembly. For example, "log" will put the specified files in the log directory.

Returns:
  String

### isFollowSymlinks

public boolean isFollowSymlinks()
Get specifies whether symbolic links should be traversed, or handled as-is.

Returns:
  boolean

### isUseDefaultExcludes

public boolean isUseDefaultExcludes()
Get whether to include exclusion patterns for common temporary and SCM control files (true by default).

Returns:
  boolean

### removeExclude

public void removeExclude(String string)
Method removeExclude.

Parameters:
  `string` -

### removeInclude

public void removeInclude(String string)
Method removeInclude.

Parameters:
  `string` -

### setDirectoryMode

public void setDirectoryMode(String directoryMode)
Set similar to a UNIX permission. Format: (User)(Group)(Other) where each component is a sum of Read = 4, Write = 2, and Execute = 1. For example, the default value of 0755 translates to User read-write, Group and Other read-only. (more on unix-style permissions)

Parameters:
  `directoryMode` -

### setExcludes

public void setExcludes(List<String> excludes)
Set when <exclude> subelements are present, they define a set of files and directory to exclude.

Parameters:
  `excludes` -

### setFileMode

public void setFileMode(String fileMode)
Set similar to a UNIX permission. Format: (User)(Group)(Other) where each component is a sum of Read = 4, Write = 2, and Execute = 1. For example, the default value of 0644 translates to User read-write, Group and Other read-only. (more on unix-style permissions)

Parameters:
  `fileMode` -

### setFollowSymlinks

public void setFollowSymlinks(boolean followSymlinks)
Set specifies whether symbolic links should be traversed, or handled as-is.

Parameters:
  `followSymlinks` -

### setIncludes

public void setIncludes(List<String> includes)
Set when <include> subelements are present, they define a set of files and directory to include.

Parameters:
  `includes` -

### setMapper

public void setMapper(Mapper mapper)
Set specifies the mapper used.

Parameters:
  `mapper` -

### setOutputDirectory

public void setOutputDirectory(String outputDirectory)
Set specifies the output directory relative to the root of the root directory of the assembly. For example, "log" will put the specified files in the log directory.

Parameters:
  `outputDirectory` -

### setUseDefaultExcludes

public void setUseDefaultExcludes(boolean useDefaultExcludes)
Set whether to include exclusion patterns for common temporary and SCM control files (true by default).

Parameters:
  `useDefaultExcludes` -

### getIncludesArray

public String[] getIncludesArray()

Returns:
  the file-set inclusion rules in array form.

### getExcludesArray

public String[] getExcludesArray()

Returns:
  the file-set exclusion rules in array form.